<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: FibreSensitiveDetector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>FibreSensitiveDetector Class Reference</h1><!-- doxytag: class="FibreSensitiveDetector" -->
<p>a class defining the action if a sentitive detector is hit  
</p>

<p><a href="classFibreSensitiveDetector-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFibreSensitiveDetector.html#a960d88ce9ca59059dc00fb4dc48d792c">FibreSensitiveDetector</a> (G4String SDname, <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *dataStorage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFibreSensitiveDetector.html#af76f007171b7985ca1cf499a23d99517">~FibreSensitiveDetector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFibreSensitiveDetector.html#a7fc159af11566b5c9463c00bb8f62926">ProcessHits</a> (G4Step *theStep, G4TouchableHistory *)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a960d88ce9ca59059dc00fb4dc48d792c"></a><!-- doxytag: member="FibreSensitiveDetector::FibreSensitiveDetector" ref="a960d88ce9ca59059dc00fb4dc48d792c" args="(G4String SDname, GODDeSS_DataStorage *dataStorage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FibreSensitiveDetector::FibreSensitiveDetector </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>SDname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>

</div>
</div>
<a class="anchor" id="af76f007171b7985ca1cf499a23d99517"></a><!-- doxytag: member="FibreSensitiveDetector::~FibreSensitiveDetector" ref="af76f007171b7985ca1cf499a23d99517" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FibreSensitiveDetector::~FibreSensitiveDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7fc159af11566b5c9463c00bb8f62926"></a><!-- doxytag: member="FibreSensitiveDetector::ProcessHits" ref="a7fc159af11566b5c9463c00bb8f62926" args="(G4Step *theStep, G4TouchableHistory *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool FibreSensitiveDetector::ProcessHits </td>
          <td>(</td>
          <td class="paramtype">G4Step *&nbsp;</td>
          <td class="paramname"> <em>theStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4TouchableHistory *&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to process the hits of the sensitive detector.<br/>
 It will be executed by GEANT4, when a particle starts its step within the sensitive detector. </p>

<p><p>if the particle is no optical photon, stop here </p>
</p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 30 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
